CycloDS Micro/Mini

Discussion in 'CycloDS' started by layzieyez, Jul 9, 2008.

  1. layzieyez
    OP

    layzieyez GBAtemp Fan

    Member
    440
    0
    Jun 24, 2007
    United States
    I just found an old CycloDS Micro that I had set aside about a year ago since no new firmware updates were ever issued to improve compatibility and fix some issues. I was just wondering if the cyclops team ever came up with one or did they just abandon all the people that bought one. I was mostly wondering since g6/M3 team still continues to put out updates for their slot-2. I know the product is a supercard clone. I want official firmware from the originator of the device to support the product they sold.
     
  2. Sephi

    Sephi fool

    Member
    1,850
    4
    Jan 21, 2008
    United States
    Rhode Island
    I don't think there's ever been an update, I checked the forums for CycloDS Micro/Mini and there's nothing new
     
  3. ojsinnerz.

    ojsinnerz. Damned

    Member
    3,152
    7
    Oct 27, 2007
    Canada
    Canada
    The CycloDS micro and the mini were a clone of the old Supercard Slot-2 products. I think they just abandoned the product.

    On the other hand, Supercard team still updates their slot-2s.
     
  4. layzieyez
    OP

    layzieyez GBAtemp Fan

    Member
    440
    0
    Jun 24, 2007
    United States
    It's pretty laughable that they are probably fuming over the EDGE card being a clone of their EVO card while they themselves cashed in on a clone. At least the EDGE team goes to the trouble of translating the newest EVO firmware for their clone product. Has anyone else had any success using any of the latest slot-2 firmware from supercard to run on CycloDS micro/mini? I don't want to brick my card because it's a actually a pretty nice clone. Sort of like how the EDGE is a quality clone.
     
  5. DanTheManMS

    DanTheManMS aka Ricochet Otter

    Member
    4,330
    107
    Jun 2, 2007
    United States
    Georgia
    I think the Supercard team started encrypting their firmwares specifically to stop slot-2 CycloDS users from using them. Thus, I don't believe you can just run the slot-2 Supercard firmware on the slot-2 CycloDS to get it to work. You can however use the updated Supercard patcher up to a certain point in order to increase compatibility, though I assume after a while you'll run into patcher/firmware mismatch issues. You'd only want to go up a few versions in the software patcher, not upgrade all the way to the latest Supercard patcher, as I doubt that would work with such an old firmware.